%define name iwlwifi-4965-ucode
# Don't use last numbers for the version, we provide both -1 and -2 ucode apis
%define version 228.57
%define ucode_rel 21
%define release %mkrel 1.%{ucode_rel}.1

Summary: Intel Wireless WiFi Link 4965AGN microcode
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.1.%{ucode_rel}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.2.%{ucode_rel}.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The files iwlwifi-4965-*.ucode provided in this package are required to be
present on your system in order for the Intel Wireless WiFi Link 4965AGN
driver for Linux (iwl4965/iwlagn) to be able to operate on your system.

%prep
%setup -q -c -b 1

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
find -name \*.ucode -exec install -m644 {} %{buildroot}/lib/firmware \;
for d in `find -mindepth 1 -maxdepth 1 -type d`; do
	ucode=`echo $d | cut -d . -f 4`
	install -m644 $d/README.iwlwifi-4965-ucode \
	              README.iwlwifi-4965-ucode-$ucode
done
install -m644 $d/LICENSE.iwlwifi-4965-ucode .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 228.57-1.21.1mdv2009.0
+ Revision: 274476
- Updated to latest Intel 228.57.*.21 ucode versions.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.44.15-4mdv2009.0
+ Revision: 241595
- rebuild

* Mon Feb 04 2008 Giuseppe Ghibò <ghibo@mandriva.com> 4.44.15-3mdv2008.1
+ Revision: 162472
- Update iwlwifi-4965-1.ucode from release 4.44.1.18 to release 4.44.1.20.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.44.15-2mdv2008.0
+ Revision: 68011
- Added additional firmware needed by iwlwifi development drivers and
  current mandriva kernel.

* Tue Jul 03 2007 Olivier Blin <oblin@mandriva.com> 4.44.15-1mdv2008.0
+ Revision: 47522
- initial iwlwifi-4965-ucode package
- Create iwlwifi-4965-ucode

